Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class ConstructorMetaClassSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.ConstructorMetaClassSite

    public class ConstructorMetaClassSite
    extends MetaClassSite

Field Summary

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`ConstructorMetaClassSite(CallSite site, MetaClass metaClass)`

Method Summary
`Object` | `callConstructor(Object receiver, Object[] args)`

Methods inherited from class AbstractCallSite
acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ConstructorMetaClassSite

    public ConstructorMetaClassSite(CallSite site, MetaClass metaClass)

Method Detail

### callConstructor

    public Object callConstructor(Object receiver, Object[] args)

Copyright © 2003-2010 The Codehaus. All rights reserved.